AN_GETERROR(3)

NAME

an_geterror - return Antinat's error code in string form

SYNOPSIS

#include <antinat.h>

char * an_geterror(int error);

DESCRIPTION

The an_geterror(3) function is used to retrieve a human readable explanation of the error. The exact strings contained here are liable to change and could be potentially lengthy.

error is an error code returned by a call to another Antinat function.

RETURN VALUE

This call returns a pointer to a read-only string containing the error message, or NULL if the error code is invalid.

ERRORS

The return value will be NULL if an error occurs.

AUTHOR

Malcolm Smith <malxau@users.sourceforge.net>